Bug 205123 - www/py-seafobj: Updated to 5.1.5
Summary: www/py-seafobj: Updated to 5.1.5
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Dmitry Marakasov
URL:
Keywords:
Depends on: 205669
Blocks: 203929
  Show dependency treegraph
 
Reported: 2015-12-08 04:17 UTC by Ultima
Modified: 2016-05-26 13:19 UTC (History)
1 user (show)

See Also:
Ultima1252: maintainer-feedback+


Attachments
py-seafobj.diff (1.40 KB, patch)
2015-12-08 04:17 UTC, Ultima
Ultima1252: maintainer-approval+
Details | Diff
py-seafobj.diff (597 bytes, patch)
2015-12-29 07:11 UTC, Ultima
Ultima1252: maintainer-approval+
Details | Diff
seafobj.diff (1.84 KB, patch)
2016-04-16 22:51 UTC, Ultima
Ultima1252: maintainer-approval+
Details | Diff
seafobj.diff (2.47 KB, patch)
2016-04-22 17:36 UTC, Ultima
Ultima1252: maintainer-approval+
Details | Diff
seafobj.diff (2.65 KB, patch)
2016-04-26 14:45 UTC, Ultima
Ultima1252: maintainer-approval+
Details | Diff
seafobj.diff (2.65 KB, patch)
2016-05-14 17:14 UTC, Ultima
Ultima1252: maintainer-approval+
Details | Diff
seafobj.diff (2.67 KB, patch)
2016-05-25 03:38 UTC, Ultima
Ultima1252: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ultima 2015-12-08 04:17:17 UTC
Created attachment 163971 [details]
py-seafobj.diff

This patch will clean up some unused variables and remove the uid/gid. The new uid/gid will be seafile and the seafile port will set it.

This patch  needs to be pushed with PR 203929 203930 203933 203934 and 205122

* Clean up unused variables
* Removed uid/gid on directory


portlint -A:
WARN: Makefile: for new port, make $FreeBSD$ tag in comment section empty, to make SVN happy.
WARN: Makefile: new ports should not set PORTREVISION.
0 fatal errors and 2 warnings found.

Both false positives

poudriere bulk -t -C:
builds fine in 102amd64, 102i386, 93amd64, 93i386
Comment 1 Ultima 2015-12-29 07:11:07 UTC
Created attachment 164808 [details]
py-seafobj.diff
Comment 2 Ultima 2016-04-16 22:51:45 UTC
Created attachment 169384 [details]
seafobj.diff

* Updated to 5.1.1
Comment 3 Dmitry Marakasov freebsd_committer 2016-04-22 17:27:26 UTC
USERS/GROUPS needed. Passing back to miwi as I'm going on vacation till May 10th.
Comment 4 Ultima 2016-04-22 17:36:28 UTC
Created attachment 169572 [details]
seafobj.diff

* Updated to 5.1.2
* Added USERS/GROUPS
Comment 5 Ultima 2016-04-26 14:45:06 UTC
Created attachment 169720 [details]
seafobj.diff

* Update to 5.1.3
Comment 6 Ultima 2016-05-14 17:14:15 UTC
Created attachment 170283 [details]
seafobj.diff

* Updated to 5.1.4

portlint -AC: WARN: Makefile: for new port, make $FreeBSD$ tag in comment section empty, to make SVN happy.
0 fatal errors and 1 warning found.

poudriere bulk -tC:
11amd64: Ok
11i386: Ok
103amd64: Ok
103i386: Ok
93amd64: Ok
93i386: Ok
Comment 7 Ultima 2016-05-25 03:38:55 UTC
Created attachment 170644 [details]
seafobj.diff

* Updated to 5.1.5

portlint -AC:
WARN: Makefile: for new port, make $FreeBSD$ tag in comment section empty, to make SVN happy.
0 fatal errors and 2 warnings found.

poudriere bulk -tC:
11amd64: success
11i386: success
102amd64: success
102i386: success
93amd64: success
93i386: success
Comment 8 Dmitry Marakasov freebsd_committer 2016-05-26 10:28:37 UTC
Committer timeout
Comment 9 commit-hook freebsd_committer 2016-05-26 13:19:02 UTC
A commit references this bug:

Author: amdmi3
Date: Thu May 26 13:18:11 UTC 2016
New revision: 415892
URL: https://svnweb.freebsd.org/changeset/ports/415892

Log:
  - Update to 5.1.5
  - Switch to seafile user

  PR:		205123
  Submitted by:	Ultima1252@gmail.com (maintainer)

Changes:
  head/www/py-seafobj/Makefile
  head/www/py-seafobj/distinfo
  head/www/py-seafobj/pkg-plist